## 66-service-boot-user 0.5.0experimental1

=== debian/changelog ===
66-service-boot-user (0.5.0experimental1-1) UNRELEASED; urgency=medium

  * Original release built from upstream.

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com> Fri, 17 May 2024 22:22:22 +1000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#CONFIG_OPT += --package=boot-user
#CONFIG_OPT += --version=0.5.0
CONFIG_OPT += --prefix=/usr
CONFIG_OPT += --exec_prefix=/usr
CONFIG_OPT += --bindir=/usr/bin
CONFIG_OPT += --datarootdir=/usr/share
CONFIG_OPT += --service_directory=/usr/share/66/service
CONFIG_OPT += --package_macro_dir=66
CONFIG_OPT += --DISPLAY_MANAGER=lightdm
CONFIG_OPT += --CONSOLE_TRACKER=elogind
CONFIG_OPT += --XDG_RUNTIME=!yes
CONFIG_OPT += --DESKTOP_CMDLINE=!icewm
%:
	dh $@

override_dh_auto_configure:
	./configure -- $(CONFIG_OPT)

## 66-service-boot-user 0.8.0

=== Makefile ===
#
# This Makefile requires GNU make.
#
# Do not make changes here.
# Use the included .mak files.
#

make_need := 3.81
ifeq "" "$(strip $(filter $(make_need), $(firstword $(sort $(make_need) $(MAKE_VERSION)))))"
fail := $(error Your make ($(MAKE_VERSION)) is too old. You need $(make_need) or newer)
endif

-include config.mak
include package/targets.mak

INSTALL := ./tools/install.sh

install: install-module install-script install-seed

install-module: $(MODULE_TARGET:module/%=$(DESTDIR)$(service_directory)/$(package)/%)
install-script: $(SCRIPT_TARGET:module/configure/%=$(DESTDIR)$(service_directory)/$(package)/configure/%)
install-seed: $(SEED_TARGET:module/configure/session=$(DESTDIR)$(seed_directory)/session)


$(DESTDIR)$(service_directory)/$(package)/%: module/%
	exec $(INSTALL) -D -m 644 $< $@
	sed -i -e 's,%%VERSION%%,$(version),' \
		-e "s,%%DISPLAY_MANAGER%%,$(DISPLAY_MANAGER)," \
		-e "s,%%CONSOLE_TRACKER%%,$(CONSOLE_TRACKER)," \
		-e "s,%%XDG_RUNTIME%%,$(XDG_RUNTIME)," \
		-e "s,%%DESKTOP_CMDLINE%%,$(DESKTOP_CMDLINE)," $@

$(DESTDIR)$(service_directory)/$(package)/configure/%: module/configure/%
	exec $(INSTALL) -D -m 755 $< $@
	sed -i -e 's,%%BINDIR%%,$(bindir),' \
		-e 's,%%EXECLINEDIR%%,$(execlinedir),' $@

$(DESTDIR)$(seed_directory)/session: module/configure/session
	exec $(INSTALL) -D -m 644 $< $@

version:
	@echo $(version)

.PHONY: install version

.DELETE_ON_ERROR:

## 66-service-boot-user 0.5.2

=== debian/changelog ===
66-service-boot-user (0.5.2-experimental1) UNRELEASED; urgency=medium

  * Original release built from upstream.

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com> Sun, 09 Jun 2024 22:22:22 +1000

=== debian/control ===
Source: 66-service-boot-user
Section: s6-experimental
Priority: optional
Maintainer: Prowler_Gr@yahoo.gr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 autotools-dev,
 s6 (>= 2.12.0.2),
 libs6-dev (>= 2.12),
 skalibs-dev (>= 2.14.0.1),
 execline (>= 2.9.4.0),
 libexecline-dev (>= 2.9),
 s6-portable-utils (>= 2.3.0.3),
 oblibs (>= 0.2.0.0),
 66-tools (>= 0.1.0.0)
Standards-Version: 4.6.2
Homepage: https://git.obarun.org/66-service/arch/scandir
#Vcs-Browser: https://salsa.debian.org/debian/66-service-scandir
#Vcs-Git: https://salsa.debian.org/debian/66-service-scandir.git

Package: 66-service-boot-user
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 66-service-boot-user
Description: 66 service module to configure user services.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 #CONFIG_OPT += --package=boot-user
-#CONFIG_OPT += --version=0.5.0
+#CONFIG_OPT += --version=0.5.2
 CONFIG_OPT += --prefix=/usr
 CONFIG_OPT += --exec_prefix=/usr
 CONFIG_OPT += --bindir=/usr/bin
@@ -16,8 +16,16 @@
 CONFIG_OPT += --CONSOLE_TRACKER=elogind
 CONFIG_OPT += --XDG_RUNTIME=!yes
 CONFIG_OPT += --DESKTOP_CMDLINE=!icewm
+
 %:
 	dh $@
 
 override_dh_auto_configure:
 	./configure -- $(CONFIG_OPT)
+
+override_dh_auto_install:
+	dh_auto_install --destdir=debian/66-service-boot-user/
+
+override_dh_auto_exec:
+
+override_dh_auto_build:

## 66-service-boot-user 0.8.0

=== debian/changelog ===
66-service-boot-user (0.8.0-0antix5) unstable; urgency=medium

  * add back antiX options in rules

 -- anticapitalista <antix@operamail.com>  Tue, 21 Oct 2025 11:33:48 +0300

66-service-boot-user (0.8.0-0antix4) unstable; urgency=medium

  * Updated postinst maintainer script to exit within chroot - thanks ProwlerGR

 -- anticapitalista <antix@operamail.com>  Thu, 16 Oct 2025 16:03:38 +0300

66-service-boot-user (0.8.0-0antix3) unstable; urgency=medium

  * comment out antiX options in rules

 -- anticapitalista <antix@operamail.com>  Fri, 10 Oct 2025 18:03:52 +0300

66-service-boot-user (0.8.0-0antix2) unstable; urgency=medium

  * add s6-66-init-antix to depends

 -- anticapitalista <antix@operamail.com>  Thu, 09 Oct 2025 18:42:26 +0300

66-service-boot-user (0.8.0-0antix1) unstable; urgency=medium

  [ ProwlerGr ]
  * Updated maintainer scripts.

  [ anticapitalista ]
  * antiX build

 -- anticapitalista <antix@operamail.com>  Thu, 25 Sep 2025 15:15:06 +0300

66-service-boot-user (0.8.0-0experimental1) UNRELEASED; urgency=medium

  * Adapted to 66 v(0.8.0.0). 
  * Updated debian/rules

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 05 Apr 2025 22:22:22 +1000

66-service-boot-user (0.5.2-0experimental1) UNRELEASED; urgency=medium

  * Original release built from upstream. Moved to gitlab.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 22 Jun 2024 22:22:22 +1000

=== debian/control ===
Source: 66-service-boot-user
Section: init-diversity
Priority: optional
Maintainer: ProwlerGr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 s6 (>= 2.12.0.2),
 libs6-dev (>= 2.12),
 skalibs-dev (>= 2.14.0.1),
 execline (>= 2.9.4.0),
 libexecline-dev (>= 2.9),
 s6-portable-utils (>= 2.3.0.3),
 oblibs (>= 0.2.0.0),
 66-tools (>= 0.1.0.0)
Standards-Version: 4.6.2
Homepage: https://git.obarun.org/66-service/arch/boot-user
Vcs-Browser: https://git.obarun.org/66-service/debian/66-service-boot-user
Vcs-Git: https://git.obarun.org/66-service/debian/66-service-boot-user.git

Package: 66-service-boot-user
Architecture: all
Depends:
 ${misc:Depends},
 66-service-boot (>= 3.8.1),
 66-service-seatd (>= 0.0.2),
 66-service-scandir (>= 0.8.1),
Recommends: 
 66-service-xdg-user-dirs (>= 0.0.2),
 66-service-slim (>= 0.0.2)| 66-service-slimski (>= 0.0.2)| 66-service-lightdm (>= 0.0.2)| 66-service-sddm (>= 0.0.2)| 66-service-lxdm (>= 0.0.2),
 66-service-turnstill | 66-service-consolekit | 66-service-elogind | 66-service-systemd-logind,
 66-service-slim (>= 0.0.2),
 66-service-slimski (>= 0.0.2),
 66-service-lightdm (>= 0.0.2),
 66-service-sddm (>= 0.0.2),
 66-service-lxdm (>= 0.0.2),
Description: 66 service module to configure user services.
 Can be configured to track a user session in conjuction with a configured display manager or console tracker.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#CONFIG_OPT += --package=66-service-boot-user
CONFIG_OPT += --version=0.8.0
#
CONFIG_OPT += --prefix=/usr
CONFIG_OPT += --exec-prefix=/usr
#
CONFIG_OPT += --bindir=/usr/bin
CONFIG_OPT += --datarootdir=/usr/share
CONFIG_OPT += --with-system-service=/usr/share/66/service
CONFIG_OPT += --with-system-seed=/usr/share/66/seed
CONFIG_OPT += --execlinedir=/usr/lib/execline/bin
#
CONFIG_OPT += --libdir=/usr/lib/66
CONFIG_OPT += --sysconfdir=/etc
CONFIG_OPT += --mandir=/usr/share/man
CONFIG_OPT += --livedir=/run/66
CONFIG_OPT += --with-system-script=/usr/share/66/script
CONFIG_OPT += --shebangdir=/usr/bin
#
############### Below options only for antiX #################
### Will need to be adjusted accordingly for other distros ###
#
CONFIG_OPT += --DISPLAY_MANAGER=!slimski
CONFIG_OPT += --CONSOLE_TRACKER=!seatd
CONFIG_OPT += --XDG_RUNTIME='!yes'
CONFIG_OPT += --DESKTOP_CMDLINE=!icewm
#

%:
	dh $@

override_dh_clean:
	if test -e README.md; then rm -rf README.md; fi
	if test -e config.mak; then rm -rf config.mak; fi
	dh_clean

override_dh_auto_configure:
	./configure -- $(CONFIG_OPT)

#override_dh_install:
#	dh_install
#	# Remove the --bindir paths from service frontends as locations differ in Debian (either /usr/bin or /usr/sbin)
#	set -e
#	{ for i in *; do sed -i "s\/usr/bin/\ \g" $(CURDIR)/debian/*/usr/share/66/service/* &>/dev/null;  done } 2>/dev/null
#	{ for i in *; do sed -i "s\/usr/bin/\ \g" $(CURDIR)/debian/*/usr/share/66/service/user/* &>/dev/null;  done } 2>/dev/null
# Sometimes the sed -i function leaves a temporary sed* file behind - we absolutely don't want these in our package
#	{ for i in *; do rm -rf $(CURDIR)/debian/*/usr/share/66/service/sed* &>/dev/null;  done } 2>/dev/null
#	{ for i in *; do rm -rf $(CURDIR)/debian/*/usr/share/66/service/user/sed* &>/dev/null;  done } 2>/dev/null
	
override_dh_auto_build:
